# -*- coding: utf-8 -*-

from django.db import models
from django.contrib.auth.models import User
from django.utils.translation import ugettext_lazy as _


class UserProfile(models.Model):
    user        = models.OneToOneField(User)

    full_name   = models.CharField(max_length=60, blank=True,
                            verbose_name=_(u'Full Name'))

    birth_date  = models.DateField(blank=True, null=True,
                            verbose_name=_("Birth date"))

    phone       = models.CharField(max_length=20, blank=True,
                            verbose_name=_(u'Phone Number'))

    address     = models.TextField(blank=True,
                            verbose_name=_(u'Address'))

    comment     = models.TextField(blank=True,
                            verbose_name=_(u'Comments to the order'))


    class Meta:
        db_table            = "account_userprofiles"
        verbose_name        = _(u"Profile")
        verbose_name_plural = _(u"Profiles")


    def __unicode__(self):
        return 'User Profile for: ' + self.full_name

