# -*- coding: utf-8 -*-

from django.conf import settings
from django.contrib import admin
from django.conf.urls.defaults import *


admin.autodiscover()


urlpatterns = patterns('',

    (r'^$', 'django.contrib.flatpages.views.flatpage',
        {'url': '/about/'}, 'home'),

    # account urls
    (r'^accounts/', include('accounts.urls')),
    (r'^accounts/', include('django.contrib.auth.urls')),

    # system area
    (r'^admin/',    include(admin.site.urls)),
)

if settings.DEBUG:
    urlpatterns += patterns('',
        (r'^static/(?P<path>.*)$', 'django.views.static.serve',
            { 'document_root': settings.MEDIA_ROOT }),

        (r'^template/(?P<template>[\w\.\/]+)/$',
            'django.views.generic.simple.direct_to_template'),
    )
